Skip to main content
POST
Typescript (SDK)

Body Parameters

Response

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-version
string
default:2.6.0
required

Body

application/json
invoice_id
string
required

The Autumn invoice ID to update.

payment_method_types
enum<string>[]
required

Payment method types the customer can pay the invoice with. Only draft and open Stripe invoices can be updated.

Minimum array length: 1
Available options:
card,
customer_balance,
us_bank_account,
sepa_debit,
bacs_debit,
acss_debit,
link

Response

200 - application/json

OK

invoice
object
required